language: perl
perl:
  - "5.24"
  - "5.22"
  - "5.20"
  - "5.18"
  - "5.16"
  - "5.14"
  - "5.12"
  - "5.10"
before_install:
  - "cpanm Module::Install"
  - "cpanm Module::Install::XSUtil"
  - "cpanm Module::Install::ReadmeFromPod"
  - "cpanm Test::More"
  - "cpanm Test::Fatal"
  - "cpanm Test::Requires"
  - "cpanm Test::Number::Delta"
  - "cpanm Sereal"
  - "cpanm Params::Coerce"
script: "perl Makefile.PL; make test"